This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 828125 - [abrt] netmonitor-0.5-10.fc17: __GI_raise: Process /usr/bin/netmonitor was killed by signal 6 (SIGABRT)
[abrt] netmonitor-0.5-10.fc17: __GI_raise: Process /usr/bin/netmonitor was ki...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: netmonitor (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
abrt_hash:5ed2846876843a2b1bf7bbb3657...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 06:10 EDT by Abhishek
Modified: 2013-08-01 06:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:57:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (6.64 KB, text/plain)
2012-06-04 06:10 EDT, Abhishek
no flags Details

  None (edit)
Description Abhishek 2012-06-04 06:10:22 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        netmonitor
crash_function: __GI_raise
executable:     /usr/bin/netmonitor
kernel:         3.3.7-1.fc17.x86_64
pid:            3909
pwd:            /home/abhishek
time:           Mon 04 Jun 2012 03:12:40 PM IST
uid:            1000
username:       abhishek

backtrace:      Text file, 6803 bytes

build_ids:
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:a2890fbb59814a9cfa1815e962e1ecf3b58d6e44
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/abhishek/2

comment:
:1) $ netmonitor --config
:2) Added new device
:3) Save and exit
:4) $netmonitor leads to core dump.

core_backtrace:
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x35965 raise libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x37118 abort libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x7568b __libc_message libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x1097e7 __fortify_fail libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x1079a0 __chk_fail libc.so.6 -
:a2890fbb59814a9cfa1815e962e1ecf3b58d6e44 0xf40 - [exe] -

dso_list:
:/usr/lib64/libgcc_s-4.7.0-20120507.so.1 libgcc-4.7.0-5.fc17.x86_64 (Fedora Project) 1338397502
:/usr/bin/netmonitor netmonitor-0.5-10.fc17.x86_64 (Fedora Project) 1338802812
:/usr/lib64/ld-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338397534
:/usr/lib64/libc-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338397534

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=Dell
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/abhishek/keyring-VrFISE/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:WINDOWID=29360133
:GNOME_KEYRING_CONTROL=/run/user/abhishek/keyring-VrFISE
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=abhishek
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/run/user/abhishek/keyring-VrFISE/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1165,unix/unix:/tmp/.ICE-unix/1165
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/abhishek/.local/bin:/home/abhishek/bin
:MAIL=/var/spool/mail/abhishek
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/abhishek
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1162
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/abhishek
:XDG_SEAT=seat0
:SHLVL=2
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-MACvKtORZz,guid=81b57145353df6dca80fb76400000036
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/abhishek
:DISPLAY=:0
:CCACHE_HASHDIR=
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-a-4TPn4V/database
:_=/usr/bin/netmonitor

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 23910                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       23910                23910                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

maps:
:00400000-00404000 r-xp 00000000 08:02 683029                             /usr/bin/netmonitor
:00604000-00605000 r--p 00004000 08:02 683029                             /usr/bin/netmonitor
:00605000-00606000 rw-p 00005000 08:02 683029                             /usr/bin/netmonitor
:0212c000-0214d000 rw-p 00000000 00:00 0                                  [heap]
:3ff1400000-3ff1420000 r-xp 00000000 08:02 682286                         /usr/lib64/ld-2.15.so
:3ff161f000-3ff1620000 r--p 0001f000 08:02 682286                         /usr/lib64/ld-2.15.so
:3ff1620000-3ff1621000 rw-p 00020000 08:02 682286                         /usr/lib64/ld-2.15.so
:3ff1621000-3ff1622000 rw-p 00000000 00:00 0 
:3ff1c00000-3ff1dac000 r-xp 00000000 08:02 682439                         /usr/lib64/libc-2.15.so
:3ff1dac000-3ff1fac000 ---p 001ac000 08:02 682439                         /usr/lib64/libc-2.15.so
:3ff1fac000-3ff1fb0000 r--p 001ac000 08:02 682439                         /usr/lib64/libc-2.15.so
:3ff1fb0000-3ff1fb2000 rw-p 001b0000 08:02 682439                         /usr/lib64/libc-2.15.so
:3ff1fb2000-3ff1fb7000 rw-p 00000000 00:00 0 
:3ff4400000-3ff4415000 r-xp 00000000 08:02 682448                         /usr/lib64/libgcc_s-4.7.0-20120507.so.1
:3ff4415000-3ff4614000 ---p 00015000 08:02 682448                         /usr/lib64/libgcc_s-4.7.0-20120507.so.1
:3ff4614000-3ff4615000 rw-p 00014000 08:02 682448                         /usr/lib64/libgcc_s-4.7.0-20120507.so.1
:7f3ec7300000-7f3ec7303000 rw-p 00000000 00:00 0 
:7f3ec731b000-7f3ec731e000 rw-p 00000000 00:00 0 
:7fff714e4000-7fff71505000 rw-p 00000000 00:00 0                          [stack]
:7fff715ff000-7fff71600000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

open_fds:
:0:/dev/pts/2
:pos:	0
:flags:	0100002
:1:/dev/pts/2
:pos:	0
:flags:	0100002
:2:/dev/pts/2
:pos:	0
:flags:	0100002
:3:/home/abhishek/.netmon/device.conf
:pos:	12
:flags:	0100000
:4:/dev/tty
:pos:	0
:flags:	0104002

var_log_messages:
:Jun  4 15:10:12 Dell yum[3759]: Installed: netmonitor-0.5-10.fc17.x86_64
:Jun  4 15:12:40 Dell abrt[3910]: Saved core dump of pid 3909 (/usr/bin/netmonitor) to /var/spool/abrt/ccpp-2012-06-04-15:12:40-3909 (393216 bytes)
Comment 1 Abhishek 2012-06-04 06:10:30 EDT
Created attachment 589103 [details]
File: backtrace
Comment 2 Fedora End Of Life 2013-07-03 23:26:14 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 06:57:51 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.